
<div id="page-content-wrapper">
    <div id="page-content" style="background-color: #DFF0D8">
        <div class="panel panel-primary">
            <div class="panel-heading">
                <h4 class="panel-title">
                    Histori Transaksi
                </h4>
            </div>
            <div class="panel-body">
                <div class="col-sm-12">
                    <div id="loading-progress" style="display: none"></div>
                </div>
                <div class="col-sm-12">
                    <label class="col-sm-1">
                        NPWPD
                    </label>
                    <div class="col-sm-3">
                        <input type="text" class="input-mask form-control" name="npwpd" id="npwpd" data-inputmask="&apos;mask&apos;:&apos;P.9.9999999.99.999&apos;" style="font-size: 12pt;font-weight: bold;">
                    </div>
                    <div class="col-sm-8">
                        <button class="btn btn-md btn-warning" onclick="CariObjekPajak()"><i class="glyph-icon icon-search"></i> CARI</button>
                    </div>
                </div>
                <div class="col-sm-12" id="datawp"></div>
            </div>
        </div>
        <div id="dataobjek"></div>
    </div>
</div>
<div class="modal fade" id="modalTransaksiByObjek" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header bg-warning">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel"><b>DATA TRANSAKSI</b></h4>
            </div>
            <div class='modal-body'>
                <div class='example-box-wrapper'>
                    <div class='example-box-wrapper'>
                        <div class="row">
                            <div id="dataop"></div>
                        </div>
                        <div class="row">
                            <div id="datatransaksi"></div>
                        </div>
                    </div>
                </div> 
            </div>
            <div class='modal-footer'>
                <div class='col-sm-12'> 
                    <button class='btn btn-danger btn-sm' onclick='tutuptransaksibyobjek()'><i class='glyph-icon icon-close'></i> Tutup</button>
                </div>              
            </div> 
        </div>
    </div>
</div>
<div id="Alert" class="modal fade" role="dialog">
    <div class="modal-dialog modal-xs" style="width: 300px">
        <div class="modal-content">
            <div class="modal-header bg-danger">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel"><span class="glyph-icon icon-warning"></span><b> Peringatan</b></h4>
            </div>
            <div class="modal-body">
                <p style="font-weight: bold">Isilah "NPWPD" Terlebih Dahulu.</p>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-danger btn-sm" data-dismiss="modal"><span class="glyph-icon icon-close"></span> Close</button>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">
    function CariObjekPajak() {
        if ($("#npwpd").val() == '') {
            $('#Alert').modal('show');
        } else {
            const divprogress = document.getElementById('loading-progress');
            divprogress.style.display = 'block';
            var progress1 = $("#loading-progress").progressTimer();

            $.post('<?= $this->url() ?>/CariObjekPajak', {npwpd: $('#npwpd').val()}, function (data) {
                var aa = JSON.parse(data);
                $("#datawp").html(aa.datawp);
                $("#dataobjek").html(aa.dataobjek);
            });
            $.ajax().error(function () {
                progress1.progressTimer('error', {
                    errorText: 'ERROR!',
                    onFinish: function () {
                        console.log('1 - There was an error processing your information!');
                    }
                });
            }).done(function () {
                progress1.progressTimer('complete');
            });
            setTimeout(() => {
                divprogress.style.display = 'none';
            }, 1000);
        }
    }

    function bukatransaksibyobjek(a) {
        $.post('<?= $this->url() ?>/CariTransaksiByobjek', {idobjek: a}, function (data) {
            var aa = JSON.parse(data);
            $("#dataop").html(aa.dataop);
            $("#datatransaksi").html(aa.datatransaksi);
        });
        $('#modalTransaksiByObjek').modal('show');
    }

    function tutuptransaksibyobjek() {
        $('#modalTransaksiByObjek').modal('hide');
    }
</script>